gnutls_pkcs11_token_init(3)

NAME
gnutls_pkcs11_token_init - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_token_init(const char * token_url, const char * so_pin, const char * label);

ARGUMENTS

const char * token_url
    A PKCS 11 URL specifying a token

const char * so_pin
    Security Officer's PIN

const char * label
    A name to be used for the token

DESCRIPTION
This function will initialize (format) a token. If the token is at a factory defaults state the security officer's PIN given will be set to be the default. Otherwise it should match the officer's PIN.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/